Nvidia k80 Ubuntu-14.04 modversions retpoline error

Hi all,
I have a k80 until the last kernel update everything worked smooth.

After the update to kernel 4.4.0-116 I have an issue.
I waited until the new kernel was released but I have the same problem:

4.4.0-119-generic SMP mod_unload modversions ’ should be '4.4.0-119-generic SMP mod_unload modversions retpoline ’

the gcc version gcc version 4.8.5 (Ubuntu 4.8.5-2ubuntu1~14.04.1)
the driver is nvidia_384.

Do you have any idea how to resolve this? Yes, I can update to 16.04 and see, but before to do that I wanna explore all the options.

Thanks

You’ll have to update your gcc (current version for 14.04: 4.8.4-2ubuntu1~14.04.4) and then rebuild the modules. See:
https://bugs.launchpad.net/ubuntu/+source/gcc-4.8/+bug/1750937

Hi, thanks for your response.

Just a clarification, you mean downgrading the gcc, right? Because, right now we have 4.8.5.

So we go back to 4.8.4, and re-install the drivers?

It’s not really downgrading, Ubuntu just has an irritating versioning there. So 4.8.5~14.04.01 is old, 4.8.4~14.04.04 is new. Mind the Ubuntu version at the end, it’s the current HWE stack. Re-installing the driver might not remove the already compiled modules. Either start dkms like mentioned in the bug report or purge/reinstall the kernel.

Thanks for the reply.

So to recap:

-install 4.8.4~14.04.04

-then either

  1. dkms
    or
  2. purge reinstall kernel
  • reboot
  • install cuda 8 and nvdia_384

BTW, if we update gcc to 4.8.4~14.04.04 and we wait until the new kernel release, should work right?

right.